import 'package:diplomaticquarterapp/uitl/date_uitl.dart';

class WeekWeightMeasurementResultAverage {
  dynamic dailyAverageResult;
  DateTime weightDate;

  WeekWeightMeasurementResultAverage(
      {this.dailyAverageResult, this.weightDate});

  WeekWeightMeasurementResultAverage.fromJson(Map<String, dynamic> json) {
    dailyAverageResult = json['DailyAverageResult'];
    weightDate = DateUtil.convertStringToDate(json['WeightDate']);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['DailyAverageResult'] = this.dailyAverageResult;
    data['WeightDate'] = this.weightDate;
    return data;
  }
}
